<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div
  class="bg-transparent relative flex items-center cursor-pointer text-sm font-medium text-white select-none h-12 tracking-wider hover:bg-secondary-900 w-48"
  [style]="{ marginTop: marginTop }"
  [routerLink]="[path]"
  [routerLinkActive]="'!bg-primary-500'"
  [routerLinkActiveOptions]="{ exact: false }"
>
  <div class="text-white px-4">
    <div class="flex items-center" [style]="{ paddingLeft: paddingLeft }">
      <div *ngIf="symbol" class="w-8 pr-4 flex items-center justify-center">
        {{ symbol }}
      </div>
      <div *ngIf="icon" class="w-8 flex items-center justify-center">
        <i [class]="'text-white pr-4 ' + icon" style="font-size: 1rem"></i>
      </div>
      <div>{{ name ?? 'Menu item' }}</div>
      <div *ngIf="indicate" class="relative ml-4">
        <div class="absolute top-0 left-0 animate-ping rounded-full bg-yellow size-2"></div>
        <div class="rounded-full bg-yellow size-2"></div>
      </div>
    </div>
  </div>
</div>
